# Method: reports.insert

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/reports/insert#try-it)

Creates a report.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/reports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` The Campaign Manager 360 user profile ID. |

### Request body

The request body contains an instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/reports#Report`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/doubleclick-advertisers/rest/v5/reports#Report`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfareporting`